Bug 120731 - Crash cuilo!makeAutoCorrEdit when open character dialog with large amount of text selected
Summary: Crash cuilo!makeAutoCorrEdit when open character dialog with large amount of ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-20 16:36 UTC by Telesto
Modified: 2018-10-23 05:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (26.78 KB, application/vnd.oasis.opendocument.text)
2018-10-20 16:54 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-20 16:36:58 UTC
Description:
Crash cuilo!makeAutoCorrEdit when open character dialog with large amount of text selected

Steps to Reproduce:
1. Open the attached file
2. CTRL+A
3. Format -> Character dialog

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: b63d48a146c3615f56b6ec83361b3c02ebcbb215
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-13_23:33:20
Locale: nl-NL (nl_NL); Calc: CL

but not in 
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 1 Telesto 2018-10-20 16:54:27 UTC
Created attachment 145862 [details]
Example file
Comment 2 Jean-Baptiste Faure 2018-10-20 17:05:53 UTC
Reproducible for me with 

Version: 6.2.0.0.alpha0+
Build ID: 27b0d7237a7e2f32897fa52820c3aa382f6683e9
Threads CPU : 4; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Ubuntu_18.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: threaded

No crash with LO 6.1.2 from Ubuntu PPA and LO 6.1.4.0.0+ built at home under Ubuntu 18.04 x86-64

Version: 6.1.4.0.0+
Build ID: 3ec5fb847364ca65322079fdc1026ed95a0a8933
Threads CPU : 4; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Ubuntu_18.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: group threaded

Set to NEW and add regression keyword.

Best regards. JBF
Comment 3 Xisco Faulí 2018-10-21 20:34:12 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=229483707c3ccb48d008d37f856bbeb6df199a90

author	Caolán McNamara <caolanm@redhat.com>	2018-09-03 16:06:49 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-05 13:36:35 +0200
commit	229483707c3ccb48d008d37f856bbeb6df199a90 (patch)
tree	c202bfb4777a66e6095fc971e317794f92399b4a
parent	59b9fc4776940863d905de14e25d74421f7de603 (diff)
weld SvxBorderTabPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2018-10-22 12:32:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0a6a4c3ae0116ada31971f80bf383c5bc6c28e8

Resolves: tdf#120731 crash in border tabpage

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Jean-Baptiste Faure 2018-10-23 05:25:44 UTC
Verified fixed in Version: 6.2.0.0.alpha1+
Build ID: 22beeb3ee7d199b6b15636c532d3ad9f75da1a2b
Threads CPU : 4; OS : Linux 4.15; UI Render : par défaut; VCL: gtk3; 
Ubuntu_18.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: threaded

Thank you very much.

Best regards. JBF